#!/bin/bash

BASEDIR="/usr/lib/storm"

for pkg in $BASEDIR/*/tests
do
    pkgname=$(basename $(dirname "$pkg"))
    echo "Running tests for $pkgname"
    if ! storm -t "$pkgname".tests
    then
	exit 1
    fi
done

exit 0
